"{ Package: 'stx:libbasic' }"

ProceedableError subclass:#SubclassResponsibilityError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!SubclassResponsibilityError class methodsFor:'documentation'!

documentation
"
    Raised when a method which should have been reimplemented by a
    concrete subclass was not, and the method of the abstract class was
    invoked instead.
"
! !

!SubclassResponsibilityError class methodsFor:'initialization'!

initialize

   NotifierString := 'method must be reimplemented in subclass'
! !

!SubclassResponsibilityError class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/SubclassResponsibilityError.st,v 1.5 2003-06-10 07:59:45 stefan Exp $'
! !

SubclassResponsibilityError initialize!
